Package org.picocontainer.behaviors

# Interface Intercepted.Controller

All Known Implementing Classes:
  `Intercepted.ControllerImpl`, `Intercepted.ControllerWrapper`

Enclosing class:
  `Intercepted<T>`

public static interface Intercepted.Controller

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object`
`getInstance()`
`Object`
`getOriginalRetVal()`
`void`
`instance(Object instance)`
`boolean`
`isOverridden()`
`boolean`
`isVetoed()`
`void`
`override()`
`void`
`setOriginalRetVal(Object retVal)`
`void`
`veto()`

## Method Details

### veto

void veto()

### clear

void clear()

### isVetoed

boolean isVetoed()

### setOriginalRetVal

void setOriginalRetVal(Object retVal)

### isOverridden

boolean isOverridden()

### instance

void instance(Object instance)

### getInstance

Object getInstance()

### getOriginalRetVal

Object getOriginalRetVal()

### override

void override()